@import "src/colors.scss";

.selector {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 10vh 1fr;
    grid-column-gap: 0px;
    grid-row-gap: 0px;
    height: 97vh;
}

.search-bar {
    grid-area: 1 / 1 / 2 / 2;
    background-color: $light;
    box-shadow: 0px 5px 5px 1px #000000;
}

ul { 
    grid-area: 2 / 1 / 3 / 2;
    overflow-y:scroll;
    overflow-wrap: break-word;
    list-style: none;
    margin-block-start: 0;
    margin-block-end: 0;
    padding-inline-start: 0;

    /* Hide scrollbar for IE, Edge and Firefox */
    -ms-overflow-style: none;  /* IE and Edge */
    scrollbar-width: none;  /* Firefox */
}

/* Hide scrollbar for Chrome, Safari and Opera */
ul::-webkit-scrollbar {
    display: none;
}

li {
    color: $light;
    border-bottom: 1px solid $light;
    padding: 10% 0;
    cursor: pointer;
    transition: all 0.25s fade-in-out;
}

li:hover {
    background-color: $light;
    color: $dark;
}